## org.apache.catalina.util
Class HexUtils

    java.lang.Object
      org.apache.catalina.util.HexUtils

public final class HexUtils
extends java.lang.Object

Library of utility methods useful in dealing with converting byte arrays to and from strings of hexadecimal digits.

Author:
  Craig R. McClanahan

Field Summary
`static int[]` `DEC`

Constructor Summary
`HexUtils()`

Method Summary
`static java.lang.String` `convert(byte[] bytes)` Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).
`static byte[]` `convert(java.lang.String digits)` Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.
`static int` `convert2Int(byte[] hex)` Convert 4 hex digits to an int, and return the number of converted bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEC

    public static final int[] DEC

Constructor Detail

### HexUtils

    public HexUtils()

Method Detail

### convert

    public static byte[] convert(java.lang.String digits)

  Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.

  Parameters:
    `digits` - Hexadecimal digits representation
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is found, or the input string contains an odd number of hexadecimal digits

### convert

    public static java.lang.String convert(byte[] bytes)

  Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).

  Parameters:
    `bytes` - Byte array representation

### convert2Int

    public static int convert2Int(byte[] hex)

  Convert 4 hex digits to an int, and return the number of converted bytes.

  Parameters:
    `hex` - Byte array containing exactly four hexadecimal digits
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is included

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.